# Uses of Class
it.tdlight.jni.TdApi.EmailAddressResetState

## Uses of TdApi.EmailAddressResetState in it.tdlight.jni

Subclasses of TdApi.EmailAddressResetState in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.EmailAddressResetStateAvailable`
Email address can be reset after the given period.
`static final class`
`TdApi.EmailAddressResetStatePending`
Email address reset has already been requested.
Fields in it.tdlight.jni declared as TdApi.EmailAddressResetState
Modifier and Type
Field
Description
`TdApi.EmailAddressResetState`
TdApi.AuthorizationStateWaitEmailCode.`emailAddressResetState`
Reset state of the email address; may be null if the email address can't be reset.
Constructors in it.tdlight.jni with parameters of type TdApi.EmailAddressResetState
Modifier
Constructor
Description
``
`AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)`
TDLib needs the user's authentication code sent to an email address to authorize.